PHP Manual
Prev |  | Next

# http_cache_etag

(PECL)

http_cache_etag -- Caching by ETag

## Description

bool http_cache_etag ( [string etag] )

Attempts to cache the sent entity by its ETag, either supplied or generated by the hash algorithm specified by the INI setting http.etag.mode.

If the clients If-None-Match header matches the supplied/calculated ETag, the body is considered cached on the clients side and a 304 Not Modified status code is issued.

A log entry is written to the cache log if the INI setting http.log.cache is set and the cache attempt was successful.

## Parameters

etag

  Custom ETag

## Return Values

Returns FALSE on failure, or exits with 304 Not Modified if the entity is cached.

Prev | Home | Next
HttpResponse::setThrottleDelay | Up | http_cache_last_modified